
<script>


import { lap } from '@/fleet/lap'

import { furnish_string } from 'procedures/furnish/string'


export default {
	components: {

	},
	
	data () {
		return {}
	},
	
	methods: {
		async produce () {
			const proceeds = await lap ({
				envelope: {
					name: "scene 1: produce Ehh",
					fields: {}
				}
			});
			if (proceeds.status !== "pass") { 
				const note = furnish_string (proceeds, [ 'note' ], 'A failure occurred without details.')
				this.$vaToast.init ({ message: note, color: 'danger' })
				return;
			}
			
			const note = furnish_string (proceeds, [ 'note' ], 'A pass occurred without details.')
			this.$vaToast.init ({ message: note, color: 'success' })
		}
	}
}

</script>

<template>
	<div>
		<h1>scene 1: produce Ehh!</h1>
	
	
		<VaButton
			@click="produce"
			color="#000"
			textColor="#FFF"
		>produce</VaButton>
	
	
	
	
	</div>
</template>


